## py-stringmatching 0.4.3

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest coverage gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  applehelp  to make an Apple Help Book"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"
	@echo "  coverage   to run coverage check of the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/py_stringmatching.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/py_stringmatching.qhc"

applehelp:
	$(SPHINXBUILD) -b applehelp $(ALLSPHINXOPTS) $(BUILDDIR)/applehelp
	@echo
	@echo "Build finished. The help book is in $(BUILDDIR)/applehelp."
	@echo "N.B. You won't be able to view it unless you put it in" \
	      "~/Library/Documentation/Help or install it in your application" \
	      "bundle."

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/py_stringmatching"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/py_stringmatching"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

coverage:
	$(SPHINXBUILD) -b coverage $(ALLSPHINXOPTS) $(BUILDDIR)/coverage
	@echo "Testing of coverage in the sources finished, look at the " \
	      "results in $(BUILDDIR)/coverage/python.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

## py-stringmatching 0.4.2+git20201204.6a7fb57

=== debian/changelog ===
py-stringmatching (0.4.2+git20201204.6a7fb57-7build1) jammy; urgency=medium

  * No-change rebuild with Python 3.10 only

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 16 Mar 2022 22:52:40 +0000

py-stringmatching (0.4.2+git20201204.6a7fb57-7) unstable; urgency=medium

  * No longer mention PDF documentation in package description.
  * Fix autopkgtest script

 -- Julian Gilbey <jdg@debian.org>  Tue, 14 Dec 2021 16:16:14 +0000

py-stringmatching (0.4.2+git20201204.6a7fb57-6) unstable; urgency=medium

  * Fix handling of python3-numpy versioned dependency (thanks to Sandro
    Tosi)

 -- Julian Gilbey <jdg@debian.org>  Thu, 25 Nov 2021 08:50:39 +0000

py-stringmatching (0.4.2+git20201204.6a7fb57-5) unstable; urgency=medium

  * Make versioned dependency on python3-numpy (Closes: #1000536)
  * Cleaner way to tidy package

 -- Julian Gilbey <jdg@debian.org>  Wed, 24 Nov 2021 17:21:43 +0000

py-stringmatching (0.4.2+git20201204.6a7fb57-4) unstable; urgency=medium

  * Fix d/watch file
  * No longer install test scripts or C source files
  * Add autopkgtest test

 -- Julian Gilbey <jdg@debian.org>  Tue, 23 Nov 2021 09:35:38 +0000

py-stringmatching (0.4.2+git20201204.6a7fb57-3) unstable; urgency=medium

  * Fix error in d/control (Homepage field)
  * No longer build PDF documentation

 -- Julian Gilbey <jdg@debian.org>  Sun, 24 Oct 2021 11:59:08 +0100

py-stringmatching (0.4.2+git20201204.6a7fb57-2) unstable; urgency=medium

  * Remove unnecessary build-depends on python3-pip
  * Remove checks for DEBIAN_BUILD_PROFILES in debian/rules; this is not
    supported by policy

 -- Julian Gilbey <jdg@debian.org>  Sun, 24 Jan 2021 06:40:03 +0000

py-stringmatching (0.4.2+git20201204.6a7fb57-1) unstable; urgency=medium

  * Initial release (Closes: #979199)

 -- Julian Gilbey <jdg@debian.org>  Tue, 05 Jan 2021 10:12:02 +0000

=== debian/control ===
Source: py-stringmatching
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Julian Gilbey <jdg@debian.org>,
           Drew Parsons <dparsons@debian.org>
Build-Depends: cython3,
               debhelper-compat (= 13),
               dh-python,
               python3-all-dev,
               python3-ipython <!nodoc>,
               python3-nose <!nocheck>,
               python3-numpy,
               python3-setuptools,
               python3-six,
               python3-sphinx-rtd-theme <!nodoc>,
               sphinx <!nodoc>
Standards-Version: 4.6.0
Homepage: https://github.com/anhaidgroup/py_stringmatching
Vcs-Git: https://salsa.debian.org/python-team/packages/py-stringmatching.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/py-stringmatching
Rules-Requires-Root: no

Package: python3-py-stringmatching
Architecture: any
Depends: ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Description: Library of string tokenizers and similarity measures
 This project seeks to build a Python software package that consists
 of a comprehensive and scalable set of string tokenizers (such as
 alphabetical tokenizers, whitespace tokenizers) and string similarity
 measures (such as edit distance, Jaccard, TF/IDF).

Package: python-py-stringmatching-doc
Architecture: all
Section: doc
Depends: libjs-mathjax,
         ${misc:Depends},
         ${sphinxdoc:Depends}
Built-Using: ${sphinxdoc:Built-Using}
Recommends: python3-py-stringmatching
Description: Library of string tokenizers and similarity measures (docs)
 This project seeks to build a Python software package that consists
 of a comprehensive and scalable set of string tokenizers (such as
 alphabetical tokenizers, whitespace tokenizers) and string similarity
 measures (such as edit distance, Jaccard, TF/IDF).
 .
 This package contains the py_stringmatching documentation in HTML format.
Build-Profiles: <!nodoc>

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=py-stringmatching

VERSIONEDPYTHON=$(shell py3versions -d)

ifeq (,$(findstring nodoc,$(DEB_BUILD_OPTIONS)))
%:
	dh $@ --with python3,numpy3,sphinxdoc --buildsystem=pybuild

execute_after_dh_auto_build:
	PYTHONPATH=$(CURDIR)/test-install $(VERSIONEDPYTHON) setup.py develop --install-dir=test-install
	PYTHONPATH=$(CURDIR)/test-install $(MAKE) -C docs html

execute_after_dh_auto_clean:
	$(MAKE) -C docs clean
	rm -rf test-install

override_dh_installdocs:
	dh_installdocs -ppython-py-stringmatching-doc --doc-main-package=python3-py-stringmatching
	dh_installdocs --remaining-packages

else
%:
	dh $@ --with python3,numpy3 --buildsystem=pybuild
endif

=== debian/tests/control ===
Tests: pytest
Depends: @, python3-all, python3-nose
Restrictions: allow-stderr

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/py-stringmatching-$1\.tar\.gz/ https://github.com/anhaidgroup/py_stringmatching/tags .*/v?(\d\S+)\.tar\.gz

## py-stringmatching 0.4.3

=== debian/changelog ===
py-stringmatching (0.4.3-1) unstable; urgency=medium

  * New upstream version, incorporating nose and numpy patches.
  * Correct pyremove file to actually remove unwanted files

 -- Julian Gilbey <jdg@debian.org>  Sun, 12 Feb 2023 11:04:06 +0000

py-stringmatching (0.4.2+git20220130.1c3571b-1) unstable; urgency=medium

  * New upstream snapshot
  * Apply three patches from Zachary Ware @zware to drop Python 2 support,
    drop nose (closes: #1018454) and handle numpy 1.24 (closes: #1027237)

 -- Julian Gilbey <jdg@debian.org>  Wed, 04 Jan 2023 20:36:22 +0000

py-stringmatching (0.4.2+git20201204.6a7fb57-8) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.
  * Update standards version to 4.6.1, no changes needed.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Mon, 21 Nov 2022 13:24:18 +0000

=== debian/control ===
--- 
+++ 
@@ -9,13 +9,12 @@
                dh-python,
                python3-all-dev,
                python3-ipython <!nodoc>,
-               python3-nose <!nocheck>,
                python3-numpy,
                python3-setuptools,
                python3-six,
                python3-sphinx-rtd-theme <!nodoc>,
                sphinx <!nodoc>
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Homepage: https://github.com/anhaidgroup/py_stringmatching
 Vcs-Git: https://salsa.debian.org/python-team/packages/py-stringmatching.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/py-stringmatching
@@ -38,7 +37,6 @@
 Depends: libjs-mathjax,
          ${misc:Depends},
          ${sphinxdoc:Depends}
-Built-Using: ${sphinxdoc:Built-Using}
 Recommends: python3-py-stringmatching
 Description: Library of string tokenizers and similarity measures (docs)
  This project seeks to build a Python software package that consists

=== debian/tests/control ===
Tests: pytest
Depends: python3-py-stringmatching, python3-all
Restrictions: allow-stderr

## py-stringmatching 0.4.5

=== debian/changelog ===
py-stringmatching (0.4.5-1build1) noble; urgency=medium

  * No-change rebuild with Python 3.12 only

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 10 Apr 2024 18:21:08 +0000

py-stringmatching (0.4.5-1) unstable; urgency=medium

  * Team Upload
  * New upstream version 0.4.5
  * drop patch applied upstream
  * use new dh-sequence-python3
  * drop obsolete python3-six build-dependency

 -- Alexandre Detiste <tchet@debian.org>  Sat, 24 Feb 2024 16:43:31 +0100

=== debian/control ===
--- 
+++ 
@@ -6,12 +6,11 @@
            Drew Parsons <dparsons@debian.org>
 Build-Depends: cython3,
                debhelper-compat (= 13),
-               dh-python,
+               dh-sequence-python3,
                python3-all-dev,
                python3-ipython <!nodoc>,
                python3-numpy,
                python3-setuptools,
-               python3-six,
                python3-sphinx-rtd-theme <!nodoc>,
                sphinx <!nodoc>
 Standards-Version: 4.6.2

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 
 ifeq (,$(findstring nodoc,$(DEB_BUILD_OPTIONS)))
 %:
-	dh $@ --with python3,numpy3,sphinxdoc --buildsystem=pybuild
+	dh $@ --with numpy3,sphinxdoc --buildsystem=pybuild
 
 execute_after_dh_auto_build:
 	PYTHONPATH=$(CURDIR)/test-install $(VERSIONEDPYTHON) setup.py develop --install-dir=test-install
@@ -22,5 +22,5 @@
 
 else
 %:
-	dh $@ --with python3,numpy3 --buildsystem=pybuild
+	dh $@ --with numpy3 --buildsystem=pybuild
 endif

## py-stringmatching 0.4.6

=== debian/changelog ===
py-stringmatching (0.4.6-1) unstable; urgency=medium

  * New upstream version

 -- Julian Gilbey <jdg@debian.org>  Tue, 16 Jul 2024 20:36:03 +0100

=== debian/control ===
--- 
+++ 
@@ -32,6 +32,7 @@
 
 Package: python-py-stringmatching-doc
 Architecture: all
+Multi-Arch: foreign
 Section: doc
 Depends: libjs-mathjax,
          ${misc:Depends},
